pragma Ada_95;
with System;
package zlib_adamain is
   pragma Warnings (Off);

   procedure zlib_adainit;
   pragma Export (C, zlib_adainit, "zlib_adainit");
   pragma Linker_Constructor (zlib_adainit);

   procedure zlib_adafinal;
   pragma Export (C, zlib_adafinal, "zlib_adafinal");
   pragma Linker_Destructor (zlib_adafinal);

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#6bb68afd#;
   pragma Export (C, u00001, "zlibB");
   u00002 : constant Version_32 := 16#941c55d2#;
   pragma Export (C, u00002, "zlibS");
   u00003 : constant Version_32 := 16#3b05e91b#;
   pragma Export (C, u00003, "zlib__streamsB");
   u00004 : constant Version_32 := 16#877916da#;
   pragma Export (C, u00004, "zlib__streamsS");
   u00005 : constant Version_32 := 16#6da86201#;
   pragma Export (C, u00005, "zlib__thinB");
   u00006 : constant Version_32 := 16#60d60221#;
   pragma Export (C, u00006, "zlib__thinS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.val_llu%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.secondary_stack%s
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  system.soft_links%b
   --  system.secondary_stack%b
   --  system.address_image%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  zlib%s
   --  zlib.streams%s
   --  zlib.streams%b
   --  zlib.thin%s
   --  zlib.thin%b
   --  zlib%b
   --  END ELABORATION ORDER


end zlib_adamain;
